Subject: Re: bug#50999: 29.0.50; Deleting libraries obsolete since Emacs 24

From: Po Lu <[email-masked]>
Date: Fri, 12 Nov 2021 13:11:20 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> It's just not practical.  We have to get rid of things that we no longer
> think is very useful in Emacs, otherwise Emacs will grow unbounded, and
> we don't have the maintainer capacity for that.

What about what I proposed, i.e. not byte-compiling those files, and in
general paying no attention to them?

It would take quite a long time for that to have an effect on the size
of Emacs.  And it wouldn't require any maintenance; we could have a
folder acting as a dumping ground for Lisp that would otherwise be
deleted.

> Emacs has a package system.  If there's a feature we remove from Emacs
> that people think is useful, they'll create a package for it and carry
> on.

What about an ELPA package, playing the same role as the dumping ground
folder?

I look forward to hearing your thoughts on this, thanks.